
Installer - Refactor #31435

Tracker # 31386 (Resolved): Default to TLS 1.2+

Drop ssl_protocol parameter on foreman_proxy_content

12/02/2020 03:00 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/302

  

Description

There is a parameter on foreman_proxy_content to set Apache's SSLProtocol on vhosts. However, it's possible to set this Apache

wide. As we're moving to TLS 1.2+ by default (#31386), this only makes it easy to avoid this. It will remain possible to set individual

services via Hiera.

Associated revisions

Revision dee96cd8 - 12/07/2020 09:22 PM - Ewoud Kohl van Wijngaarden

Fixes #31435 - Drop ssl_protocol parameter

This parameter makes it easy to avoid the Apache global. Most users

should not be setting this. A way to set the Apache global is being

introduced.

History

#1 - 12/02/2020 03:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/302 added

#2 - 12/07/2020 09:22 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#3 - 12/07/2020 10:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|dee96cd80c762e0f19c55ff730718f6ba594456a.
